> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udrow.md).

# New-UDRow

New-UDRow crée un conteneur de ligne de grille dans PowerShell Universal pour disposer les colonnes côte à côte, en encapsulant New-UDGrid avec l'option Container.

### Synopsis

Crée une nouvelle ligne pour une grille.

### Syntaxe

```powershell
New-UDRow [-Id <String>] [[-Columns] <ScriptBlock>] [-Style <Hashtable>] [<CommonParameters>]
```

### Description

Crée une nouvelle ligne pour une grille. Il s'agit d'un wrapper pour New-UDGrid -Container.

### Paramètres

#### -Id

L'ID de la ligne.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Columns

Les colonnes à inclure dans la ligne.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Le style de la ligne.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Ligne de base

```powershell
New-UDRow -Columns {
    New-UDColumn -SmallSize 6 -Content {
        "Column 1"
    }
    New-UDColumn -SmallSize 6 -Content {
        "Column 2"
    }
}
```

Crée une nouvelle ligne avec deux colonnes, chacune occupant la moitié de la largeur sur les petits écrans.

#### Exemple 2 : Style de ligne

```powershell
New-UDRow -Id "myRow" -Columns {
    New-UDColumn -SmallSize 4 -Content {
        "Column 1"
    }
    New-UDColumn -SmallSize 4 -Content {
        "Column 2"
    }
} -Style @{ backgroundColor = "#f0f0f0" }
```

Crée une nouvelle ligne avec deux colonnes, chacune occupant un tiers de la largeur sur les petits écrans, et applique un style de couleur d'arrière-plan à la ligne.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udrow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
